ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Costin Manolache <cmanola...@yahoo.com>
Subject Re: JDK 1.1 support
Date Fri, 14 Mar 2003 00:53:17 GMT
Conor MacNeill wrote:

> I'd like to throw this up again. What are peoples thoughts on the
> following
> 
> 1. Make Ant 1.6.x the last JDK 1.1 release. This would be clearly
> documented

+1
( I would be +1 on making ant1.5 the last JDK1.1 release :-)


> 2. Make the subsequent release require JDK 1.2+ (what about leap frogging
> to later versions?)

+1

My strong prefference would be to also provide support for Kaffe and other 
VMs ( all are based on Classpath project - so it's the same thing ).
They have most of JDK1.3 stuff - but not everything.

I think it is well worth it, GCJ and Kaffe supports a lot of platforms.

 
> 3. Name this subsequent release Ant 2.0 (due to its change in system
> requirements)

+0
I don't agree that every change in requirements requires a change in 
the major version number ( but maybe I missed some rules ).
But I don't see a problem with changing the name to whatever we want.

My only concern is to make it clear that ant2.0 will be a simple upgrade
from ant1.6 - i.e. no unjustified backward uncompatibilities.

IMHO major version changes should be done when the API is changed in
backward incompatible ways.

Let's discuss the name of the post 1.6 release after 1.6 is done.
 

> 4. Drop all the Ant2 cruft from the website.

+1
 
> Just as a data point, CVS HEAD (Ant 1.6) has not compiled against JDK 1.1
> for a while now (due to diagnostics changes).

Then let's figure out if we shouldn't drop JDK1.1 now.

Is there any active committer that uses JDK1.1 ? Are any active committers 
that are willing to support 1.1 ? It seems pretty obvious that most of us
don't - so it may be better to accept the fact. 

I'm +1 to maintaining support for 1.1 if at least one committer is willing
to volunteer to support it ( and does it ).  

Costin 


Mime
View raw message